<template>
	<div>   
		<div v-if="show">
			<jlyIndex v-if="show1"></jlyIndex>
			<xhIndex v-if="show2"></xhIndex>
			<qyIndex v-if="show3"></qyIndex>
			<pxdIndex v-if="show4"></pxdIndex>
		</div>
	</div>
</template>

<script> 
	import jlyIndex from "./components/home/jly.vue"
	import qyIndex from "./components/home/qy.vue"
	import xhIndex from "./components/home/xh.vue" 
	import pxdIndex from "./components/home/pxd.vue" 
	
	export default {
		name:"index",
		components:{
			jlyIndex,qyIndex,xhIndex,pxdIndex
		},
		data() {
			return {
				sjInfo:null,
				show:false,
				show1:false,
				show2:false,
				show3:false,
				show4:false
			}
		},
		created() { 
			this.show = !this.$auth.hasRole("admin")
			this.show1 = this.$auth.hasRole("yonghu")
			this.show2 = this.$auth.hasRole("xiehui")
			this.show3 = this.$auth.hasRole("qiye") 
			this.show4 = this.$auth.hasRole("peixundian") 
		},
		methods:{
			
		}
	}
</script>

<style lang="scss" scoped>
	
</style>